KYUA-LIST(1)

NAME
list - Lists test cases and their metadata

SYNOPSIS
list [--build-root path] [--kyuafile file] [--verbose] test_case1 [.. test_caseN]

DESCRIPTION
The list command scans all the test programs and test cases in a test suite and prints a list of all their names, optionally accompanied by any metadata properties they have.

The optional arguments to list are used to select which test programs or test cases to run. These are filters and are explained in more detail in kyua-test-filters(7).

This command must be run within a test suite or a test suite must be provided with the --kyuafile flag.

The following subcommand options are recognized:

--build-root path
    Specifies the build root in which to find the test programs referenced by the Kyuafile, if different from the Kyuafile's directory. See kyua-build-root(7) for more information.

--kyuafile path, -k path
    Specifies the Kyuafile to process. Defaults to a Kyuafile file in the current directory.

--verbose, -v
    Prints metadata properties for every test case.

EXIT STATUS
The list command returns 0 on success or 1 if any of the given test case filters does not match any test case.

Additional exit codes may be returned as described in kyua(1).

SEE ALSO
kyua(1), kyua-build-root(7), kyua-test-filters(7)